package f4.collection;

import java.util.Arrays;
import java.util.Collections;
import java.util.List;

/**
 * Using the Arrays and Collections utilities
 *
 * @author hajo
 */
public class CollectionsAndArrays {

    public static void main(String args[]) {
        ArraysUtilities();
        CollectionUtilities();
    }

    // Convert array to list
    private static void ArraysUtilities() {
        List<String> lstr = Arrays.asList("A", "B", "C");
        for (String s : lstr) {
            System.out.println(s);
        }
        // Can't change *list* (size fiexed)
        // lstr.add("D");
        
        // Can change elements
        lstr.set(2, "CC");

    }

    // Sorting!
    private static void CollectionUtilities() {
        List<Integer> li = Arrays.asList(3, 6, 2, 5, 1, 7, 6, 8);
        Collections.sort(li);
        for (Integer i : li) {
            System.out.println(i);
        }
    }
}
