package f4.collection;

import java.util.ArrayList;
import java.util.List;

/**
 * Tile must have equals method for this to work
 *
 * @author hajo
 */
public class UseATileList {
    
    public static void main(String args[]) {
        String alpha = "abcdefghijklmnop";
        List<Tile> tiles = new ArrayList<>();        
        for (String s : alpha.split("")) {
            tiles.add(new Tile(s));
        }
        Tile tileToFind = new Tile("k");
        
        // This will not work if Tile doesn't have an equals method
        // Try comment out in Tile
        System.out.println( tiles.contains(tileToFind));
    }
}
