package f4.string;

/**
 * Testing speed of String +operator and StringBuilder
 * @author hajo
 */
public class TestString {

    public static void main(String[] args) {
        testStringProducer();
        testSplit();
    }

    private static void testStringProducer() {
        StringProducer sp = new StringProducer();

        // Very slow
        long before = System.currentTimeMillis();
        sp.horrible();
        long after = System.currentTimeMillis();
        long t1 = after - before;

        // Quick
        before = System.currentTimeMillis();
        sp.theWayToDoIt();
        after = System.currentTimeMillis();
        long t2 = after - before;

        System.out.println("Tid: String = " + t1 + " StringBuilder = " + t2);
    }
    
    private static void testSplit() {
        String str = "aswXsddfdXdfgfdgfX32423fXfsdfsdfXfds";
        String[] strs = str.split("X");
        for( String s : strs){
           System.out.println(s); 
        }
    }
}
