package f4.statics;

/**
 * Using static and non static, where is it allowed?
 * @author hajo
 */
public class InstanceAndStatic {

   public static int i = 1;
   public int j = 2;
   
   
   public static void doIt(){ 
      // Ok
      i = 5;
      
      // Bad
      //i = j;  //This is a static method can't reference instances 
      //j = i;
      
      
      // This is a class method, can't call instance method, no object
      // doOther()         // Bad

      // this.doOther();   // Can't use this, possible no this
      
      // Ok now we know the object
      new InstanceAndStatic().j = 5;
      new InstanceAndStatic().doOther();
   }
   
   public void doOther(){
      // Ok
      i = 5;
      
      i = j;
      j = i;
         
      // Ok
      doIt(); // Call static from instance ok
   }
   
}
